Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4339 - Mkbootdisk and mkinitrd generate "No space on device" error messages
Summary: Mkbootdisk and mkinitrd generate "No space on device" error messages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-03 22:45 UTC by Marshall DeBerry
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 07:00:33 UTC


Attachments (Terms of Use)

Description Marshall DeBerry 1999-08-03 22:45:38 UTC
After upgrading to RH Kernel 2.2.5-22, I executed the
mkbootdisk command with the options --device /dev/fd0 2.2.5-
22 and get the following output back:

Script started on Sun Aug 1 19:12:07 1999
bash# /sbin/mkbootdisk --device /dev/fd0 2.2.5-22
Insert a disk in /dev/fd0. Any information on the disk will
be lost.
Press <Enter> to continue or ^C to abort:

gzip: stdout: No space left on device
mkdir: cannot make directory `/tmp/mkbootdisk/etc': No
space left on device
mkdir: cannot make directory `/tmp/mkbootdisk/dev': No
space left on device
mkdir: cannot make directory `/tmp/mkbootdisk/boot': No
space left on device
cp: cannot create special file `/tmp/mkbootdisk/dev': File
exists
cp: cannot create regular file
`/tmp/mkbootdisk/boot/boot.b': No such file or directory
/sbin/mkbootdisk: /tmp/mkbootdisk/etc/lilo.conf: No such
file or directory
/sbin/mkbootdisk: /tmp/mkbootdisk/etc/lilo.conf: No such
file or directory
/sbin/mkbootdisk: /tmp/mkbootdisk/etc/lilo.conf: No such
file or directory
/sbin/mkbootdisk: /tmp/mkbootdisk/etc/lilo.conf: No such
file or directory
chmod: /tmp/mkbootdisk/etc/lilo.conf: No such file or
directory
/sbin/mkbootdisk: /tmp/mkbootdisk/boot/message: No such
file or directory
/etc/lilo.conf: No such file or directory
bash# exit
--------

Fixing the gzip problem in mkinitrd with the change in
command to
gzip -c9 $IMAGE >& $target

fixes the gzip problem, but I can't seem to understand what
is occuring with the mkdir message.

Thanks for any assistance.

Comment 1 Michael K. Johnson 1999-09-25 18:25:59 UTC
Want to try the latest mkinitrd and mkbootdisk packages from
RawHide?  (ftp://ftp.redhat.com/rawhide/)  See if they fix the
problem.  If not, change the top line of each script from
#!/bin/bash
or
#!/bin/sh
to
#!/bin/bash -x
and post the output here.

Comment 2 Matt Wilson 2000-02-09 07:00:59 UTC
No reply.


Note You need to log in before you can comment on or make changes to this bug.